<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
    <link rel="stylesheet" href="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.css">
    <link rel="stylesheet" href="assets/superMap/js/geoman/leaflet-geoman.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>新增内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item" id="schoolDiv">
                    <label class="layui-form-label">学校<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" id="schoolIdSelectTemplateBox" lay-filter="schoolIdSelectTemplateBox"></div>
                    <script id="schoolIdSelectTemplate" type="text/html">
                        <select id="schoolId" name="schoolId" lay-filter="schoolId" lay-verify="required" lay-search>
                            <option value="">请选择学校</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.schoolId}}">{{item.schoolName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 113px;">案(事)件编号</label>
                        <div class="layui-input-block" style="margin-left: 113px;">
                            <input type="text" id="caseCode" name="caseCode" class="layui-input" value="" placeholder="请输入案(事)件编号"  maxlength="20">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 118px;">案(事)件名称<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 118px;">
                            <input type="text" id="caseName" name="caseName" class="layui-input" value="" placeholder="请输入案(事)件名称"  maxlength="100" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg4">
                        <label class="layui-form-label">发生日期<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="happenTime" name="happenTime" class="layui-input" value="" placeholder="请选择发生日期" readonly style="cursor: pointer;" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <input type="hidden" id="happenLocationCode" name="happenLocationCode" class="layui-input" value="" placeholder="请输入发案地编码"  maxlength="6">
                        <input type="hidden" id="happenLocation" name="happenLocation" class="layui-input" value="" placeholder="请选择所在地名称"  maxlength="200">
                        <label class="layui-form-label">发案地<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="happenLocationName" name="happenLocationName" class="layui-input" value="" placeholder="请选择发案地名称"  maxlength="200" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label">所属网格<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required" lay-search>
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">发生地点<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="happenAddress" name="happenAddress" class="layui-input" value="" placeholder="请输入发生地点"  maxlength="80" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <input type="hidden" id="caseNatureName" name="caseNatureName" class="layui-input" value="" placeholder="请输入案(事)件性质名称"  maxlength="20">
                    <input type="hidden" id="caseNatureCode" name="caseNatureCode" class="layui-input" value="" placeholder="请输入案(事)件性质编码"  maxlength="2">
                    <label class="layui-form-label" style="width: 117px;">案(事)件性质<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" style="margin-left: 117px;" id="caseNatureSelectTemplateBox" lay-filter="caseNatureSelectTemplateBox"></div>
                    <script id="caseNatureSelectTemplate" type="text/html">
                        <select id="caseNature" name="caseNature" lay-filter="caseNature" lay-verify="required" lay-search>
                            <option value="">请选择案(事)件性质</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">案(事)件情况<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <div id="caseSituation"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg4">
                        <input type="hidden" id="principalCardCodeName" name="principalCardCodeName" class="layui-input" value="" placeholder="请输入主犯(嫌疑人)证件代码名称"  maxlength="20">
                        <input type="hidden" id="principalCardCodeCode" name="principalCardCodeCode" class="layui-input" value="" placeholder="请输入主犯(嫌疑人)证件代码编码"  maxlength="3">
                        <label class="layui-form-label" style="width: 174px;">主犯(嫌疑人)证件代码<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" style="margin-left: 174px;" id="principalCardCodeSelectTemplateBox" lay-filter="principalCardCodeSelectTemplateBox"></div>
                        <script id="principalCardCodeSelectTemplate" type="text/html">
                            <select id="principalCardCode" name="principalCardCode" lay-search lay-filter="principalCardCode" lay-verify="required">
                                <option value="">请选择主犯(嫌疑人)证件代码</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 173px;">主犯(嫌疑人)证件号码<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 173px;">
                            <input type="text" id="principalCardNum" name="principalCardNum" class="layui-input" value="" placeholder="请输入主犯(嫌疑人)证件号码"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 145px;">主犯(嫌疑人)姓名<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 145px;">
                            <input type="text" id="principalName" name="principalName" class="layui-input" value="" placeholder="请输入主犯(嫌疑人)姓名"  maxlength="80" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">是否破案<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="radio" name="isSolve" lay-filter="isSolve" value="1" title="是" checked>
                            <input type="radio" name="isSolve" lay-filter="isSolve" value="0" title="否">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">作案人数</label>
                        <div class="layui-input-block">
                            <input type="number" id="crimeCount" name="crimeCount" class="layui-input" value="" placeholder="请输入作案人数" lay-verify="integer">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">在逃人数</label>
                        <div class="layui-input-block">
                            <input type="number" id="atLargeCount" name="atLargeCount" class="layui-input" value="" placeholder="请输入在逃人数" lay-verify="integer">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">抓捕人数</label>
                        <div class="layui-input-block">
                            <input type="number" id="arrestCount" name="arrestCount" class="layui-input" value="" placeholder="请输入抓捕人数" lay-verify="integer">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">案件侦破情况<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <div id="caseSolve"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">经度</label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="longitude" name="longitude" class="layui-input" value="" placeholder="请输入经度" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">纬度</label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="latitude" name="latitude" class="layui-input" value="" placeholder="请输入纬度" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-row" id="mapDiv">
                    <div class="layui-col-md12 layui-col-sm12" style="padding: 0 0px;">
                        <div id="mapContainer" style="width: 100%;height: 350px;"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.js"></script>
<script src="assets/superMap/js/iclient-leaflet.min.js"></script>
<script src="assets/superMap/js/geoman/leaflet-geoman.min.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};
        var map;
        var marker;

        function initMap(longitude, latitude) {
            var url1 = 'https://iserver.supermap.io/iserver/services/map-china400/rest/maps/China';
            map = L.map('mapContainer', {
                crs: L.CRS.EPSG3857,
                center: {lon: 113.11412662267688, lat: 40.98896497581636},
                maxZoom: 18,
                zoom: 8,
                boxZoom: false,
                scrollWheelZoom: true,
                dragging: true,
                doubleClickZoom: false,
                zoomControl: false
            });
            L.control.zoom().addTo(map);
            L.control.scale().addTo(map);
            L.supermap.tiledMapLayer(url1, {noWrap: true}).addTo(map);
            marker = L.marker();
            map.on('click',addPoint);
        }

        function addPoint(e){
            if(marker)map.removeLayer(marker);
            marker = L.marker(e.latlng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            $('#longitude').val(e.latlng.lng);
            $('#latitude').val(e.latlng.lat);
        }

        // 初始化学校
        function initSchoolSelect() {
            top.restAjax.get(top.restAjax.path('api/school/list', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('schoolIdSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('schoolIdSelectTemplateBox').innerHTML = html;
                });
                console.log(data)
                form.render('select', 'schoolIdSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化备注富文本
        function initCaseSituationRichText() {
            var editor = new wangEditor('#caseSituation');
            editor.customConfig.zIndex = 0;
            editor.customConfig.uploadImgMaxSize = 5 * 1024 * 1024;
            editor.customConfig.uploadImgMaxLength = 1;
            editor.customConfig.uploadFileName = 'image';
            editor.customConfig.uploadImgServer = 'api/file/wangeditorimage';
            editor.customConfig.uploadImgHooks = {
                fail: function (xhr, editor, result) {
                    top.dialog.msg('系统错误，图片上传失败');
                },
                error: function (xhr, editor) {
                    top.dialog.msg('网络异常');
                },
                timeout: function (xhr, editor) {
                    top.dialog.msg('网络请求超时');
                }
            };
            editor.create();
            wangEditorObj['caseSituation'] = editor;
        }

        // 初始化备注富文本
        function initCaseSolveRichText() {
            var editor = new wangEditor('#caseSolve');
            editor.customConfig.zIndex = 0;
            editor.customConfig.uploadImgMaxSize = 5 * 1024 * 1024;
            editor.customConfig.uploadImgMaxLength = 1;
            editor.customConfig.uploadFileName = 'image';
            editor.customConfig.uploadImgServer = 'api/file/wangeditorimage';
            editor.customConfig.uploadImgHooks = {
                fail: function (xhr, editor, result) {
                    top.dialog.msg('系统错误，图片上传失败');
                },
                error: function (xhr, editor) {
                    top.dialog.msg('网络异常');
                },
                timeout: function (xhr, editor) {
                    top.dialog.msg('网络请求超时');
                }
            };
            editor.create();
            wangEditorObj['caseSolve'] = editor;
        }

        // 人员数量只能输入正整数
        form.verify({
            integer: [
                /^[1-9]\d*$/
                , '只能输入正整数'
            ]
        });

        // 选择发案地
        $(document).on('click', '#happenLocationName', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#happenLocationName').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#happenLocationCode').val(areaCode);
                        $('#happenLocationName').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 案(事)件性质change事件
        form.on('select(caseNature)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var text = $('#caseNature option:selected').text();
                    $('#caseNature option:selected').val(valueArr[0]);
                    $('#caseNatureName').val(text);
                    $('#caseNatureCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 主犯(嫌疑人)证件代码change事件
        form.on('select(principalCardCode)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var text = $('#principalCardCode option:selected').text();
                    $('#principalCardCode option:selected').val(valueArr[0]);
                    $('#principalCardCodeName').val(text);
                    $('#principalCardCodeCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化发生日期日期
        function initHappenTimeDate() {
            laydate.render({
                elem: '#happenTime',
                type: 'date',
                value: new Date(),
                trigger: 'click'
            });
        }

        // 初始化案(事)件性质下拉选择
        function initCaseNatureSelect() {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['28794721-09bb-4f64-920f-4d8eed02fbb3']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('caseNatureSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('caseNatureSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'caseNatureSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化主犯(嫌疑人)证件代码下拉选择
        function initPrincipalCardCodeSelect() {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['76c5044f-805a-4313-b1e8-79e966b97c0d']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('principalCardCodeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('principalCardCodeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'principalCardCodeSelectTemplateBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化内容
        function initData() {
            initHappenTimeDate();
            initCaseNatureSelect();
            initPrincipalCardCodeSelect();
            initCaseSituationRichText();
            initCaseSolveRichText();
            initGridSelect();
            initSchoolSelect();
            var lng = '116.42';
            var lat = '39.88';
            initMap(lng, lat);
        }

        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            var caseSituation = wangEditorObj['caseSituation'].txt.text().trim();
            if(caseSituation === '') {
                top.dialog.msg('案(事)件情况必填');
                return false;
            }else {
                formData.field['caseSituation'] = wangEditorObj['caseSituation'].txt.html();
            }

            var caseSolve = wangEditorObj['caseSolve'].txt.text().trim();
            if(caseSolve === '') {
                top.dialog.msg('案件侦破情况必填');
                return false;
            }else {
                formData.field['caseSolve'] = wangEditorObj['caseSolve'].txt.html();
            }
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.post(top.restAjax.path('api/stuteasafe/save', []), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });
    });
</script>
</body>
</html>